Bug 1314582 - RGW: S3 request-payer
Summary: RGW: S3 request-payer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 2.1
Assignee: Yehuda Sadeh
QA Contact: shilpa
Bara Ancincova
URL:
Whiteboard:
: 1370557 (view as bug list)
Depends On:
Blocks: 1383917
TreeView+ depends on / blocked
 
Reported: 2016-03-04 00:39 UTC by Yehuda Sadeh
Modified: 2017-07-30 15:40 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-10.2.3-2.el7cp Ubuntu: ceph_10.2.3-3redhat1xenial
Doc Type: Enhancement
Doc Text:
.Ceph Object Gateway now supports the Amazon "requestPayment" API call The Amazon `requestPayment` API call enables users of a public storage object to provide data publicly without incurring payment for the retrieval of that data by other users.
Clone Of:
Environment:
Last Closed: 2016-11-22 19:24:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 13427 None None None 2016-06-10 15:26:23 UTC
Red Hat Bugzilla 1399029 None None None Never
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Internal Links: 1399029

Description Yehuda Sadeh 2016-03-04 00:39:33 UTC
Implement the Amazon request-payer api that lets users pass the responsibility for data access payments to the users that request the data (and not the bucket owners). This includes the api changes, and added usage log info.

Comment 2 Neil Levine 2016-03-04 22:31:08 UTC
Yehuda, is there an upstream ticket that this corresponds to? Who did the work and what is the main use-case for this?

Comment 3 Yehuda Sadeh 2016-06-10 15:26:24 UTC
Updated upstream ticket info. Was implemented by external contributor Javier Mellid. Main use case is for public object storage users to provide data publicly without incurring payment for the retrieval of that data (by the other users).

Comment 4 Uday Boppana 2016-09-07 15:14:56 UTC
*** Bug 1370557 has been marked as a duplicate of this bug. ***

Comment 6 Matt Benjamin (redhat) 2016-10-03 17:48:56 UTC
Primary support landed at
https://github.com/ceph/ceph/pull/6214 

Follow-on commits:

https://github.com/ceph/ceph/pull/6656
https://github.com/ceph/ceph/pull/7918

Comment 7 Matt Benjamin (redhat) 2016-10-03 17:50:57 UTC
Jewel/downstream should be updated with the following Doc commit:
4003c2fe5701e76bfb060c8f5063c01686003d24

Comment 8 Ken Dreyer (Red Hat) 2016-10-03 20:01:18 UTC
The PRs in Comment 6 are in the v10.2.3 release.

The sha1 in Comment 7 touches doc/radosgw/s3.rst, which is not part of the ceph-10.2.3.tar.gz release tarball from upstream, so we can skip that downstream.

Comment 10 shilpa 2016-10-21 09:39:25 UTC
Verified on 2.1

Comment 13 errata-xmlrpc 2016-11-22 19:24:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.